> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Client Agents

> Fetch all agents for a specific client



## OpenAPI

````yaml get /clients/{clientId}/agents
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /clients/{clientId}/agents:
    get:
      tags:
        - Agent
      summary: Fetch Client Agents
      description: Fetch all agents for a specific client
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: clientId
          in: path
          required: true
          description: The ID of the client
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Agent'
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    Agent:
      type: object
      properties:
        _id:
          type: string
          description: The ID of the agent
        clientId:
          type: string
          description: The ID of the client the agent is assigned to
        name:
          type: string
          description: The agent's name
        platform:
          type: string
          enum:
            - voiceflow
            - openai
            - botpress
            - vectorshift
            - flowise
            - vapi
            - retell
            - elevenlabs
            - n8n
            - custom
          description: The agent's platform
        apiId:
          type: string
          description: >-
            The 'ID' for interacting with the agent platform's API. Varies by
            platform:

            - Voiceflow: Project ID

            - OpenAI: Assistant ID

            - Botpress: Messaging API webhook URL

            - Vectorshift: Agent Name on VectorShift

            - Flowise: Chatflow ID

            - Vapi: Assistant ID

            - Retell: Agent ID

            - ElevenLabs: Agent ID

            - n8n: N/A

            - Custom: N/A
        apiKey:
          type: string
          description: >-
            The 'Key' for interacting with the agent platform's API. Varies by
            platform:

            - Voiceflow: Dialog API Key

            - OpenAI: API Key

            - Botpress: Personal Access Token

            - Vectorshift: API Key

            - Flowise: API Key

            - Vapi: Private API Key

            - Retell: API Key

            - ElevenLabs: API Key

            - n8n: N/A

            - Custom: N/A
        platformCredentials:
          type: object
          description: >-
            Additional credentials for interacting with certain agent platform's
            API
          oneOf:
            - title: Botpress
              type: object
              properties:
                botId:
                  type: string
                  description: Your Botpress bot ID
                workspaceId:
                  type: string
                  description: Your Botpress workspace ID
            - title: Flowise
              type: object
              properties:
                baseUrl:
                  type: string
                  description: The URL of your deployed Flowise dashboard
            - title: Vapi
              type: object
              properties:
                publicKey:
                  type: string
                  description: >-
                    Your Vapi public key (only required for using ChatDash's web
                    widget
            - title: n8n
              type: object
              properties:
                baseUrl:
                  type: string
                  description: The Chat Webook URL used to trigger your n8n workflow
        agentConfig:
          type: object
          description: Configuration settings defining how the system will handle the agent
          properties:
            usingExternalWidget:
              type: boolean
              description: >-
                Whether the agent is using an external widget or interface over
                ChatDash's native widget. Varied support by platform:

                - Voiceflow: Supported

                - OpenAI: Supported

                - Botpress: Supported

                - Vectorshift: Not Supported

                - Flowise: Supported

                - Vapi: Supported

                - Retell: Supported

                - ElevenLabs: Required to be set to true

                - n8n: Not Supported
            useImportWebhook:
              type: boolean
              description: >-
                Whether the agent is using an import webhook to sync in
                conversations (Retell and Vapi only)
            isTemplate:
              type: boolean
              description: Whether the agent is a template used for SaaS mode
            isSaas:
              type: boolean
              description: Whether the agent was created from a template in SaaS mode

````